error with react-native-fast-image-expo

I have installed react-native-fast-image-expo here
https://www.npmjs.com/package/react-native-fast-image-expo

I installed and linked exactly as the documentation mentions.
in my app I am simply importing and attempting to use it.
import FastImage from “react-native-fast-image-expo”;
render () …

<FastImage
        style={styles.image}
        source={{
          uri: "https://unsplash.it/400/400?image=1",
          headers: { Authorization: "someAuthToken" },
          priority: FastImage.priority.normal
        }}
        resizeMode={FastImage.resizeMode.contain}
      />

I get this error on both ios and android

requireNativeComponent: “FastImageView” was not found in the UIManager.
Any ideas ? Do i need to eject in order to use ‘react-native-fast-image’
Thanks!

Yes, you will have to eject.

Whenever you have to run react-native link it means you have to eject, unless Expo already includes the package.

ok thank you!

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.